import request from '@/utils/request'
// 查询内部位移数据列表不分页
export function listDmNopage(query) {
  return request({
    url: '/project/dm/listNoPage',
    method: 'get',
    params: query
  })
}
// 查询内部位移数据列表
export function listDm(query) {
  return request({
    url: '/project/dm/list',
    method: 'get',
    params: query
  })
}

// 查询内部位移数据详细
export function getDm(id) {
  return request({
    url: '/project/dm/' + id,
    method: 'get'
  })
}

// 新增内部位移数据
export function addDm(data) {
  return request({
    url: '/project/dm',
    method: 'post',
    data: data
  })
}

// 修改内部位移数据
export function updateDm(data) {
  return request({
    url: '/project/dm',
    method: 'put',
    data: data
  })
}

// 删除内部位移数据
export function delDm(id) {
  return request({
    url: '/project/dm/' + id,
    method: 'delete'
  })
}
